#
# spec file for package telepathy-salut
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           telepathy-salut
Version:        0.8.1
Release:        9.2
# FIXME: check if libgcrypt-devel BuildRequires is really needed (see fdo#43992). Last checked: 0.7.0.
Summary:        Link-local XMPP connection manager for Telepathy
License:        LGPL-2.1+ and MIT
Group:          System/Libraries
Url:            http://telepathy.freedesktop.org/wiki/
Source:         http://telepathy.freedesktop.org/releases/telepathy-salut/%{name}-%{version}.tar.gz
BuildRequires:  dbus-1-glib-devel
BuildRequires:  libavahi-glib-devel
BuildRequires:  libavahi-gobject-devel
# FIXME: Not sure it's totally right, but there's an include for gcrypt.h. Follow upstream bug: fdo#43992
BuildRequires:  libgcrypt-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  python-avahi
BuildRequires:  python-xml
BuildRequires:  telepathy-glib-devel
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.24
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.16
BuildRequires:  pkgconfig(gthread-2.0) >= 2.4
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(uuid)
# doc subpackage removed during 12.2 development
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A connection manager for Telepathy that implements peer to peer XMPP
using local-link as done by and compatible with Apple Bonjour(tm) chat.

%prep
%setup -q

%build
%configure --disable-static --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_docdir}/%{name}/clique.html
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/managers
%dir %{_libdir}/telepathy
%{_libdir}/telepathy/salut-0/
%{_libexecdir}/telepathy-salut
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.salut.service
%{_datadir}/telepathy/managers/salut.manager
%{_mandir}/man8/telepathy-salut.8%{?ext_man}

%changelog
* Sat Nov 17 2012 dimstar@opensuse.org
- Update to version 0.8.1:
  + Fix an assertion failure in the OLPC activity manager on
    disconnect.
  + Check parsing tube messages in a MUC succeeds, to avoid using
    an uninitialized variable.
  + Don't crash when closing a roomlist channel.
  + Fix interoperability with iChat (fdo#51527, fdo#51528).
* Thu Apr  5 2012 vuntz@opensuse.org
- Update to version 0.8.0:
  + Fix build with OLPC code enabled.
  + Fix MUC code to announce the user as a member of the MUC if it
    is the creator.
  + Fix race in file transfer code which was giving the IO channel
    to Gibber before it knew how to deal with it.
* Thu Mar 29 2012 vuntz@opensuse.org
- Update to version 0.7.2:
  + Enhancements:
  - fdo#18530: Support for IPv4 and IPv6 types for the local
    socket for file transfer
  - Several improvements on Windows (fdo#45716, fdo#46345,
    fdo#47072, fdo#47429, fdo#47729)
  + Fixes:
  - fdo#31729: The ContactList interface is now actually
    advertised as supported
- Pass --disable-static to configure to avoid shipping a .a file.
* Thu Mar  1 2012 cfarrell@suse.com
- license update: LGPL-2.1+ and MIT
  See COPYING
* Wed Feb 22 2012 vuntz@opensuse.org
- Update to version 0.7.1:
  + Enhancements:
  - fdo#45716: Salut now has a salut-plugins.so library,
    similarly to mission-control.
  - fdo#42515: Support for building on Android
  - fdo#45703: Support for One Big Header Wocky
  + Fixes:
  - fdo#44020: Unix socket paths for MUC stream tubes too long
  - Almost all unit tests failing if IPv6 is not enabled in the
    kernel
- Add explicit pkgconfig() BuildRequires that we used to depend on
  implicitly: gio-2.0, glib-2.0, gobject-2.0, gthread-2.0.
- Remove doc subpackage, and add appropriate Provides/Obsoletes to
  the main subpackage: the doc is too small to make sense as a
  separate package.
* Mon Feb 20 2012 vuntz@opensuse.org
- Add explicit pkgconfig(uuid) BuildRequires: it was implicitly
  brought in by something else before.
* Tue Dec 20 2011 vuntz@opensuse.org
- Add libgcrypt-devel BuildRequires to fix build. The configure
  script doesn't check for it, but it's apparently still needed by
  the code.
* Wed Nov 16 2011 dimstar@opensuse.org
- Update to version 0.7.0:
  + Enhancements:
  - fdo#42348: the Chan.I.FileTransfer.Metadata interface has
    been implemented.
  - Updated Wocky: The SASL auth server test now builds with new
    and old versions of libsasl2.
- Add python-avahi BuildRequires: new upstream dependency.
* Tue Oct 18 2011 vuntz@opensuse.org
- Update to version 0.6.0:
  + Enhancements:
  - Salut implements the ContactList interface, which makes
    TP_CONNECTION_FEATURE_CONTACT_LIST in telepathy-glib work
    with Salut!
* Thu Oct  6 2011 vuntz@opensuse.org
- Update to version 0.5.2:
  + Enhancements:
  - fdo#40035: the ContactInfo Connection interface has been
    implemented, so extra information about contacts, like first
    and last names, are now exposed in a nice way and can be
    shown in clients.
  + Fixes:
  - Ensure OLPC tests are included in releases.
  - Fix send_ll_pep_event public utility function to construct
    PEP messages correctly.
- Remove python-xmldiff BuildRequires: this is not needed anymore.
* Tue Aug 30 2011 andrea.turrini@gmail.com
- Fix typo in description.
* Thu Jul  7 2011 vuntz@opensuse.org
- Update to version 0.5.1:
  + Enhancements:
  - More bits and pieces of Gibber have been replaced by Wocky.
  + Fixes:
  - Assumptions made about the default value of
    TpChannelIface:handle-type (which changed in a recent
    telepathy-glib release) are now less specific, fixing
    assertion failures.
  - Salut no longer crashes if you 'nmap localhost'. (fdo#39018)
  - The tests now pass with telepathy-glib >= 0.14.6.
* Wed May  4 2011 dimstar@opensuse.org
- Update to version 0.5.0:
  + Enhancements:
  - The wocky library used in telepathy-gabble has been added as
    a submodule and is starting to replace bits of Gibber
  - The test suite now has a mock Avahi service, so running the
    tests no longer uses the system avahi and therefore doesn't
    pop up contacts on other users' contact lists.
  - Implement ofdT.Protocol objects for exposed protocols.
  - Replace the capability channel manager interfaces with the
    new ones already used in Gabble which make the caps situation
    a lot saner.
  - Implement ContactCapabilities.
  - fdo#33833: Implement FileTransfer.FileURI
  - Use Wocky's caps hashing code
  - Give Salut a plugin API, based on the Gabble one.
  - The C tests now use GLib instead of check.
  - Salut's XMPP connection manager has been replaced with
    Wocky's Meta Porter.
  + Fixes:
  - Ensure to reply to disco requests with the same id attribute
    and other test reliability fixes.
  - fdo#31665: use TpDBusDaemon, not tp_get_bus().
- Add Url tag.
- Add BuildRequires: python-xmldiff (needed for tests),
  pkgconfig(sqlite3) and pkgconfig(gnutls) (needed for wocky).
- Remove explicit dbus-1-glib Requires: it's automatically added
  due to the linked library; this fixes an rpmlint warning.
- Remove obsolete --enable-olpc from configure call.
- Clean spec file using spec-cleaner.
* Sat Oct  9 2010 vuntz@opensuse.org
- Update to version 0.4.0:
  + Fixes:
  - Remove the GibberResolver and all its infrastructure
  - Use the normal, safer telepathy-glib priv idioms
  - Add salut_connection_get_implemented_interfaces
  - Make tests more robust
  - Remove examples and OpenSSL support from libgibber
  - remove SASL support
  - remove now-unused MD5 implementation
  - Remove the activity when its channel has been closed, as
    Gabble does
- Remove cyrus-sasl-devel and openssl-devel BuildRequires.
* Thu Aug 19 2010 badshah400@gmail.com
- Update to version 0.3.13:
  + Enhancements:
  - Implement avatar requirements properties
  - Add a ActivityProperties.GetActivity method for retrieving an
    activity's room handle from its id
  - Add a BuddyInfo.AddActivity method so activities can advertise
    themselves without having to track all the other shared
    activities
  + Fixes:
  - Update with-session-bus.sh from telepathy-glib, fixing a
    bashism
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 0.3.12:
  + Enahncements:
  - Merge back most of the portability improvements from Gabble's
    copy of Gibber
  - Use automake silent rules (--enable-silent-rules) instead of
    shave
  + Fixes:
  - fdo#22970: don't try to support credential-passing on
    non-Linux platforms, fixing compilation there
  - fdo#27289: set the Properties flag on group channels for
    round-trip reduction
  - fdo#20732: allow the user to leave MUCs with RemoveMembers()
  - Implement the error path for ContactList channel requests
    correctly
  - Fix compilation in the tr_TR.UTF-8 locale
  - Use the right timestamps on message delivery reports
  - Stop working around fdo#15092, which was fixed in
    telepathy-glib
  - fdo#26152: make critical warnings fatal by default
* Fri Mar 26 2010 vuntz@opensuse.org
- Update to version 0.3.11:
  + Enhancements:
  - Implement TpMessageMixin and therefore the
    Channel.Interface.Messages.
  + Fixes:
  - Fix strict aliasing warnings from gcc.
  - Fix assertion due to g_set_prgname being called twice.
* Mon Sep 14 2009 vuntz@opensuse.org
- Update to version 0.3.10:
  + Enhancements:
  - Implement the final, stable new API for tubes.
  - Use ContactCapabilities draft to communicate tube support.
  - In StreamTube, UNIX sockets created with the Localhost access
    control are usable by any user of the system.
  - Implement Debug interface.
  + Fixes:
  - Include muc tube channels in Requests's Channels property.
  - Implement setting presence before the connection is
    established. This allows salut to be used with mission
    control >= 5.2.2.
  - Make the "dnd" presence actually correspond to the correct
    telepathy presence type.
* Mon Jul 20 2009 vuntz@novell.com
- Use libexecdir instead of libdir in the file list to fix build.
* Sat May 30 2009 lars@linux-schulserver.de
- fix requires for doc package
* Sun Apr 26 2009 vuntz@novell.com
- Add --enable-olpc to configure. Requested by the Education
  project for Sugar.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 0.3.9:
  + Enhancements:
  - Implement Connection.Interface.ContactCapabilities.DRAFT
  - Implement tube service specific contact capabilities.
  - Implement file transfer contact capabilities.
  - Implement Channel.Type.StreamTube.DRAFT
  + Fixes:
  - As defined in the spec, {Accept,Provide}File should return an
    'ay' and not a string as UNIX socket address.
  - Fix a crash with newer versions of libsoup
  - Fix file transfer over IPv6 (fdo#19163)
* Sat Feb 21 2009 mboman@suse.de
- Update to version 0.3.8:
  + Switched to the stable version of the FileTransfer interface.
    Clients (Empathy, Sugar...) have to be modified to use the
    stable interface instead of the DRAFT one. Just the interface
    name has been renamed so changes should be trivial
  + Fix a crash when receiving an incoming XMPP connection from
    a IPv6 address.
- Remove export CFLAGS="$RPM_OPT_FLAGS" and export
  CXXFLAGS="$CFLAGS". These are default
- Remove required versions for BuildRequires. We don't generally
  use it in our .spec files
- Use %%makeinstall instead of 'make install...'
- Split out documention into a -doc package
- Use %%setup -q instead of %%setup -q -n %%{name}-%%{version} since
  we don't change the name
* Fri Jan  9 2009 hfiguiere@suse.de
- Update to version 0.3.7
  * State of pending file transfer channels is now automatically changed to
    "Cancelled" if peer is disconnected.
  * Uses libsoup 2.4 instead of the obsolete 2.2 version (fdo#18891).
  * Don't crash if the XMPP connection is disconnected during a file transfer.
  * Fix a race in stream tubes causing potential data lost.
  * Fix various leaks including one leading to a crash (fdo#19181).
- Remove telepathy-salut-fdo-18891.patch.
* Thu Jan  1 2009 mboman@suse.de
- Update to version 0.3.6:
  + Implement org.freedesktop.Telepathy.Channel.Type.FileTransfer.DRAFT.
  + All channels are now requestable using the new
    org.freedesktop.Telepathy.Connection.Interface.Requests interface.
  + Assertion failed in gibber_multicast_transport_disconnect when closing
    a local pending room (fdo#18552).
- Add telepathy-salut-fdo-18891.patch to make it build with current libsoup
* Sun Oct 19 2008 mboman@suse.de
- Update to version 0.3.5:
  * Add a test framework
  * Only announce OLPC activity we actually joined (dev.laptop.org #8441)
* Fri Sep 26 2008 sbrabec@suse.cz
- Removed loudmouth from Requires. loudmouth is not required any
  more (and it was renamed).
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.3.4:
  + Implement the Contacts interface
  + Implement the SimplePresence interface
  + Implement spec 0.17.9 (Add various properties to all channels).
* Sat Aug 23 2008 hfiguiere@suse.de
- Fix directory owning (FTBS in factory)
* Sat Aug 16 2008 hfiguiere@suse.de
- Update to 0.3.3
  * Fix clique, tubes and bonjour bugs
  * Abstract Avahi
- Set docdir to %%{_docdir}/%%{name}
* Mon Mar 17 2008 hfiguiere@suse.de
- Upgrade to 0.3.1
  + Lot of fixes
  + Update to the latest telepathy spec
  + Use the latest Avahi API
* Thu Oct 11 2007 sbrabec@suse.cz
- Use binding specific avahi package.
* Wed Apr  4 2007 maw@suse.de
- Don't build as root, and some specfile cleanups.
